<h2><%=l(:label_roadmap)%></h2>

<% if @versions.empty? %>
<p class="nodata"><%= l(:label_no_data) %></p>
<% end %>

<% @versions.each do |version| %>   
    <a name="<%= version.name %>"><h3 class="icon22 icon22-package"><%= version.name %></h3></a>
    <% if version.completed? %>
      <p><%= format_date(version.effective_date) %></p>
    <% elsif version.overdue? %>
      <p><strong><%= l(:label_roadmap_overdue, distance_of_time_in_words(Time.now, version.effective_date)) %> (<%= format_date(version.effective_date) %>)</strong></p>
    <% elsif version.effective_date %>
      <p><strong><%=l(:label_roadmap_due_in)%> <%= distance_of_time_in_words Time.now, version.effective_date %> (<%= format_date(version.effective_date) %>)</strong></p>
    <% end %>
    <p><%=h version.description %></p>        
    <% issues = version.fixed_issues.find(:all,
                                 :include => [:status, :tracker],
                                 :conditions => ["tracker_id in (#{@selected_tracker_ids.join(',')})"],
                                 :order => "#{Tracker.table_name}.position") unless @selected_tracker_ids.empty?
       issues ||= []

       total = issues.size
       complete = issues.inject(0) {|c,i| i.status.is_closed? ? c + 1 : c } 
       percentComplete = total == 0 ? 100 : (100.0 / total * complete).floor 
       percentIncomplete = 100 - percentComplete
    %>
    <table class="progress">
      <tr>
	<% if percentComplete > 0 %>
          <td class="closed" style="width: <%= percentComplete %>%"></td>
        <% end; if percentIncomplete > 0 %>
          <td class="open" style="width: <%= percentIncomplete %>%"></td>
        <% end %>
      </tr>
    </table>
    <em><%= link_to(complete, :controller => 'issues', :action => 'index', :project_id => @project, :status_id => 'c', :fixed_version_id => version, :set_filter => 1) %> <%= lwr(:label_closed_issues, complete) %> (<%= percentComplete %>%) &#160;
        <%= link_to((total - complete), :controller => 'issues', :action => 'index', :project_id => @project, :status_id => 'o', :fixed_version_id => version, :set_filter => 1) %> <%= lwr(:label_open_issues, total - complete)%> (<%= percentIncomplete %>%)</em>
    <br />
    <br />    
    <%= render(:partial => "wiki/content", :locals => {:content => version.wiki_page.content}) if version.wiki_page %>
    <ul>
      <% if total == 0 %>
        <li><%=l(:label_roadmap_no_issues)%></li>
      <% else %>
        <% issues.each do |issue| %>
          <li>
            <%= link = link_to_issue(issue)
                issue.status.is_closed? ? content_tag("del", link) : link %>: <%=h issue.subject %>
            <%= content_tag "em", "(#{l(:label_closed_issues)})" if issue.status.is_closed? %>
          </li>
        <% end %>
      <% end %>
    </ul>
<% end %>

<% content_for :sidebar do %>
<% form_tag do %>
<h3><%= l(:label_roadmap) %></h3>
<% @trackers.each do |tracker| %>
  <label><%= check_box_tag "tracker_ids[]", tracker.id, (@selected_tracker_ids.include? tracker.id.to_s) %>
  <%= tracker.name %></label><br />
<% end %>
<br />
<label for="completed"><%= check_box_tag "completed", 1, params[:completed] %> <%= l(:label_show_completed_versions) %>
<p><%= submit_tag l(:button_apply), :class => 'button-small' %></p>
<% end %>

<h3><%= l(:label_version_plural) %></h3>
<% @versions.each do |version| %>
<%= link_to version.name, :anchor => version.name %><br />
<% end %>
<% end %>
